/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fjInfo.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.fjInfo.entity.FjInfoEntity;
import org.springblade.modules.fjInfo.excel.FjInfoExcel;
import org.springblade.modules.fjInfo.mapper.FjInfoMapper;
import org.springblade.modules.fjInfo.service.IFjInfoService;
import org.springblade.modules.fjInfo.vo.FjInfoVO;
import org.springblade.modules.system.entity.User;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 辅警管理 服务实现类
 *
 * @author BladeX
 * @since 2024-03-18
 */
@Service
public class FjInfoServiceImpl extends BaseServiceImpl<FjInfoMapper, FjInfoEntity> implements IFjInfoService {

	@Override
	public IPage<FjInfoVO> selectFjInfoPage(IPage<FjInfoVO> page, FjInfoVO fjInfo) {
		return page.setRecords(baseMapper.selectFjInfoPage(page, fjInfo));
	}


	@Override
	public List<FjInfoExcel> exportFjInfo(Wrapper<FjInfoEntity> queryWrapper) {
		List<FjInfoExcel> fjInfoList = baseMapper.exportFjInfo(queryWrapper);
		//fjInfoList.forEach(fjInfo -> {
		//	fjInfo.setTypeName(DictCache.getValue(DictEnum.YES_NO, FjInfo.getType()));
		//});
		return fjInfoList;
	}

	@Override
	public boolean updateStatusQy(FjInfoEntity fjInfo) {
		return baseMapper.updateStatusQy(fjInfo);
	}

	@Override
	public boolean updateStatusTy(FjInfoEntity fjInfo) {
		return baseMapper.updateStatusTy(fjInfo);
	}

	@Override
	public FjInfoEntity selectMjFj(Long mjId, Long id) {
		return baseMapper.selectMjFj(mjId, id);
	}

	@Override
	public boolean deleteFj(Long id) {
		return baseMapper.deleteFj(id);
	}

	@Override
	public User getMjId(Long userId) {
		return baseMapper.getMjId(userId);
	}
}
